Bug 143372 - bug in awk usage in microcode_ctl.init initscript
bug in awk usage in microcode_ctl.init initscript
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-19 21:12 EST by David Coulthart
Modified: 2015-01-04 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-23 18:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix for awk usage (377 bytes, patch)
2004-12-19 21:14 EST, David Coulthart
no flags Details | Diff

  None (edit)
Description David Coulthart 2004-12-19 21:12:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.5 (KHTML, like Gecko) Safari/125.12

Description of problem:
While working on the microcode_ctl package in Specifix Linux, I was puling updates to microcode_ctl.init (version 1.15) from the new Fedora Core CVS.  I noticed, however, that there is a slight problem with the check to see that the processor is >=686.  The -F flag is specified to awk, but the delimiter is not.  The following patch fixes that (& makes the grep/awk usage mimic the previous usage in earlier parts of the init script).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. # /etc/init.d/microcode_ctl start

Actual Results:  Error message about gawk usage spits out on console

Expected Results:  No error message

Additional info:
Comment 1 David Coulthart 2004-12-19 21:14:35 EST
Created attachment 108871 [details]
fix for awk usage
Comment 2 Dave Jones 2004-12-21 23:26:40 EST
thanks, committed to CVS, I'll push another build through..

Note You need to log in before you can comment on or make changes to this bug.